package com.ruoyi.market.constants.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
@DictEnum(key = "systemEnum", desc = "系统code")
public enum SystemEnum implements IBaseEnum {
    PC("1", "PC端", 0, 0),
    APP("2", "APP端", 1, 0);

    private final String code;
    //说明
    private final String desc;
    // 排序
    private final Integer sort;
    // 状态  0 启用  1 不启用
    private final Integer status;

    public static SystemEnum getSystemEnum(String code) {
        for (SystemEnum systemEnum : SystemEnum.values()) {
            if (systemEnum.getCode().equals(code)) {
                return systemEnum;
            }
        }
        return null;
    }
}
