package com.ruoyi.market.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@TableName("market_advertising_company")
public class MarketAdvertisingCompany {
    @TableId(value = "id")
    private String id;

    @ApiModelProperty("公司名称")
    @TableField(value = "company_name")
    private String companyName;

    @ApiModelProperty("公司介绍")
    @TableField(value = "company_desc")
    private String companyDesc;

    @ApiModelProperty("播放广告概率")
    @TableField(value = "advertising_probability")
    private BigDecimal advertisingProbability;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    @TableField(value = "create_time")
    private LocalDateTime createTime;
}
