package com.ruoyi.market.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.utils.bean.BeanUtils;
import com.ruoyi.common.utils.idgen.IdGenerate;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@TableName("market_advertising_library")
public class MarketAdvertisingLibrary {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    private String id;

    @ApiModelProperty("广告标题")
    @TableField(value = "video_title")
    private String videoTitle;

    @ApiModelProperty("广告描述")
    @TableField(value = "video_desc")
    private String videoDesc;

    @ApiModelProperty("广告地址")
    @TableField(value = "video_url")
    private String videoUrl;

    @ApiModelProperty("广告封面")
    @TableField(value = "video_cover")
    private String videoCover;

    @ApiModelProperty("广告归属公司")
    @TableField(value = "video_company")
    private String videoCompany;

    @TableField(exist = false)
    private String videoCompanyName;

    @ApiModelProperty("广告时长")
    @TableField(value = "video_time_length")
    private Long videoTimeLength;

    @ApiModelProperty("广告跳转地址")
    @TableField(value = "video_jump_url")
    private String videoJumpUrl;

    @ApiModelProperty("奖品id")
    @TableField(value = "award_id")
    private String awardId;

    @TableField(exist = false)
    private String[] awardIds;

    public MarketAdvertisingLibrary(){

    }

    public MarketAdvertisingLibrary(MarketAdvertisingLibrary marketAdvertisingLibrary){
        BeanUtils.copyProperties(marketAdvertisingLibrary,this);
        this.id = IdGenerate.nextId();
    }
}
