package com.ruoyi.market.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.time.LocalDateTime;
import java.util.List;

@Data
@TableName("market_draw_activity")
public class MarketDrawActivity {
    @TableId
    private String id;

    @ApiModelProperty("抽奖名称")
    private String name;

    @ApiModelProperty("抽奖描述")
    @TableField(value = "`desc`")
    private String desc;

    @ApiModelProperty("规则描述")
    @TableField(value = "rule_desc")
    private String ruleDesc;

    @ApiModelProperty("人天 限制抽奖次数")
    private String curtail;

    @ApiModelProperty("初始抽奖次数")
    private Integer defaultDrawNum;

    @ApiModelProperty("领奖方式")
    private String receiveType;

    @ApiModelProperty("生效日期")
    private String effectiveDate;

    @ApiModelProperty("失效日期")
    private String expiryDate;

    @ApiModelProperty("模板id")
    private String templateId;

    @ApiModelProperty("是否删除")
    private Integer isDelete;

    @TableField(exist = false)
    private List<MarketDrawActivityProbability> probabilitys;

    @TableField(exist = false)
    private List<MarketAwardLibrary> awardList;

    @TableField(value = "activity_status")
    private String activityStatus;

    @TableField(value = "banner")
    @ApiModelProperty("活动封面图")
    private String banner;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(exist = false)
    @ApiModelProperty("活动模板小程序页面")
    private String templateAppletPage;
}

