package com.ruoyi.market.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.utils.idgen.IdGenerate;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.Date;


@Data
@TableName("market_user_draw_log")
public class MarketUserDrawLog{
    private String id;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("活动id")
    private String activityId;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("次数")
    private Integer unit;

    @ApiModelProperty("当前抽奖次数")
    private Integer currentUnit;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("创建人")
    private String createBy;

    public MarketUserDrawLog() {}

    public MarketUserDrawLog(String userId,String activityId,String type,Integer unit,Integer currentUnit){
        this.id = IdGenerate.nextId();
        this.userId = userId;
        this.activityId = activityId;
        this.type = type;
        this.unit = unit;
        this.currentUnit = currentUnit;
        this.createTime  = LocalDateTime.now();
    }
}
