package com.ruoyi.market.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.market.domain.MarketAwardLibrary;
import com.ruoyi.market.domain.vo.AwardQueryVo;

public interface MarketAwardLibraryService extends IService<MarketAwardLibrary> {

    /**
     * 查询奖品列表
     * @param page
     * @param awardQueryVo
     * @return
     */
    Page<MarketAwardLibrary> awardLibraryList(Page page, AwardQueryVo awardQueryVo);

    /**
     * 删除奖品
     * @param awardId
     * @return
     */
    boolean delAward(String awardId);

    /**
     * 发放奖品
     * @param activityId    活动id
     * @param userId        用户id
     * @param pos           中奖位置
     * @return
     */
    boolean grantAward(String activityId,String userId,Integer pos);

    /**
     * 广告发放奖品
     * @param adId
     * @param userId
     * @return
     */
    boolean adsGrantAward(String adId,String userId);
}
