package com.ruoyi.market.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.market.domain.MarketDrawActivity;
import com.ruoyi.market.domain.vo.*;

import java.util.List;

public interface MarketDrawActivityService extends IService<MarketDrawActivity> {

    /**
     * 获取抽奖活动列表分页
     * @param page
     * @param drawActivityQueryVo
     * @return
     */
    Page<MarketDrawActivity> getDrawActivityPage(Page page, DrawActivityQueryVo drawActivityQueryVo);

    /**
     * 添加抽奖活动
     * @param drawActivitySaveVo
     * @return
     */
    boolean addDrawActivity(DrawActivitySaveVo drawActivitySaveVo);


    /**
     * 更新抽奖活动
     * @param drawActivitySaveVo
     * @return
     */
    boolean updateDrawActivity(DrawActivitySaveVo drawActivitySaveVo);


    MarketDrawActivity getDrawActivityById(String drawActivityId);

    /**
     * 获取前端的抽奖活动信息
     * @return
     */
    List<AwardInfoVo> getForstDrawActivity(String drawActivityId);

    /**
     * 删除抽奖活动
     * @param id
     * @return
     */
    boolean delDrawActivity(String id);

    /**
     * 获取抽奖模板下的抽奖活动
     * @param drawTemplateId
     * @return
     */
    List<MarketDrawActivity> getDrawActivityByTemplateId(String drawTemplateId);

    /**
     * 用户抽奖完成
     * @param drawCallBackQueryVo
     * @return
     */
    boolean userDrawOver(DrawCallBackQueryVo drawCallBackQueryVo);

    /**
     * 获取抽奖活动列表
     */
    List<MarketDrawActivity> getDrawActivityList();
}
