package com.ruoyi.market.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.market.domain.MarketAdvertisingAward;
import com.ruoyi.market.domain.vo.AdvertisingAwardQueryVo;
import com.ruoyi.market.mapper.MarketAdvertisingAwardMapper;
import com.ruoyi.market.service.MarketAdvertisingAwardService;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Objects;

@Service
public class MarketAdvertisingAwardServiceImpl extends ServiceImpl<MarketAdvertisingAwardMapper, MarketAdvertisingAward>
        implements MarketAdvertisingAwardService {

    @Override
    public Page<MarketAdvertisingAward> advertisingAwardList(Page page, AdvertisingAwardQueryVo advertisingAwardQueryVo) {
        LambdaQueryWrapper<MarketAdvertisingAward> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(!Objects.isNull(advertisingAwardQueryVo.getAwardId()), MarketAdvertisingAward::getAwardId, advertisingAwardQueryVo.getAwardId());
        queryWrapper.eq(!Objects.isNull(advertisingAwardQueryVo.getVideoId()), MarketAdvertisingAward::getVideoId, advertisingAwardQueryVo.getVideoId());
        queryWrapper.lt(!Objects.isNull(advertisingAwardQueryVo.getCreateTimeStart()), MarketAdvertisingAward::getCreateTime, advertisingAwardQueryVo.getCreateTimeStart());
        queryWrapper.gt(!Objects.isNull(advertisingAwardQueryVo.getCreateTimeEnd()), MarketAdvertisingAward::getCreateTime, advertisingAwardQueryVo.getCreateTimeEnd());
        return this.page(page, queryWrapper);
    }

    @Override
    public List<MarketAdvertisingAward> getListByAdvertisingId(String advertisingId) {
        LambdaQueryWrapper<MarketAdvertisingAward>  queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(MarketAdvertisingAward::getVideoId,advertisingId);
        return this.list(queryWrapper);
    }
}
