package com.ruoyi.market.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.idgen.IdGenerate;
import com.ruoyi.market.domain.vo.AdvertisingCompanyQueryVo;
import com.ruoyi.market.mapper.MarketAdvertisingCompanyMapper;
import com.ruoyi.market.service.MarketAdvertisingCompanyService;
import com.ruoyi.market.domain.MarketAdvertisingCompany;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.Objects;

@Service
public class MarketAdvertisingCompanyServiceImpl extends ServiceImpl<MarketAdvertisingCompanyMapper, MarketAdvertisingCompany>
        implements MarketAdvertisingCompanyService {
    @Override
    public boolean insertAdvertisingCompany(MarketAdvertisingCompany advertisingCompany) {
        advertisingCompany.setId(IdGenerate.nextId());
        advertisingCompany.setCreateTime(LocalDateTime.now());
        return this.save(advertisingCompany);
    }

    @Override
    public boolean updateAdvertisingCompany(MarketAdvertisingCompany advertisingCompany) {
        return this.updateById(advertisingCompany);
    }

    @Override
    public boolean deleteAdvertisingCompany(MarketAdvertisingCompany advertisingCompany) {
        return this.removeById(advertisingCompany);
    }

    @Override
    public Page<MarketAdvertisingCompany> advertisingCompanyList(Page page, AdvertisingCompanyQueryVo advertisingCompanyQueryVo) {
        LambdaQueryWrapper<MarketAdvertisingCompany> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(!Objects.isNull(advertisingCompanyQueryVo.getCompanyName()), MarketAdvertisingCompany::getCompanyName, advertisingCompanyQueryVo.getCompanyName());
        queryWrapper.lt(!Objects.isNull(advertisingCompanyQueryVo.getCreateTimeStart()), MarketAdvertisingCompany::getCreateTime, advertisingCompanyQueryVo.getCreateTimeStart());
        queryWrapper.gt(!Objects.isNull(advertisingCompanyQueryVo.getCreateTimeEnd()), MarketAdvertisingCompany::getCreateTime, advertisingCompanyQueryVo.getCreateTimeEnd());
        return this.page(page, queryWrapper);
    }
}
