package com.ruoyi.market.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.market.domain.MarketDrawActivity;
import com.ruoyi.market.domain.MarketDrawTemplate;
import com.ruoyi.market.domain.vo.DrawTemplateQueryVo;
import com.ruoyi.market.mapper.MarketDrawTemplateMapper;
import com.ruoyi.market.service.MarketDrawActivityService;
import com.ruoyi.market.service.MarketDrawTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Objects;

@Service
public class MarketDrawTemplateServiceImpl extends ServiceImpl<MarketDrawTemplateMapper, MarketDrawTemplate>
        implements MarketDrawTemplateService {

    @Autowired
    MarketDrawActivityService marketDrawActivityService;


    @Override
    public Page<MarketDrawTemplate> getDrawTemplatePage(Page page, DrawTemplateQueryVo drawTemplateQueryVo) {
        LambdaQueryWrapper<MarketDrawTemplate> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(!Objects.isNull(drawTemplateQueryVo.getTemplateName()), MarketDrawTemplate::getTemplateName, drawTemplateQueryVo.getTemplateName());
        return this.page(page, queryWrapper);
    }

    /**
     * 删除抽奖模板
     * @param drawTemplateId
     * @return
     */
    @Override
    public boolean delDrawTemplate(String drawTemplateId) {
        MarketDrawTemplate drawTemplate = this.getById(drawTemplateId);
        if (Objects.isNull(drawTemplate)) {
            throw new RuntimeException("该抽奖模版不存在");
        }
        List<MarketDrawActivity> drawActivityByTemplateId = marketDrawActivityService.getDrawActivityByTemplateId(drawTemplateId);
        if(drawActivityByTemplateId.isEmpty()){
            this.removeById(drawTemplateId);
        }else{
            throw new RuntimeException("该抽奖模版已被使用，无法删除");
        }
        return true;
    }
}
