package com.ruoyi.market.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.market.domain.MarketUserWechat;
import com.ruoyi.market.mapper.MarketUserWechatMapper;
import com.ruoyi.market.service.MarketUserWechatService;
import org.springframework.stereotype.Service;

import java.util.Objects;

@Service
public class MarketUserWechatServiceImpl extends ServiceImpl<MarketUserWechatMapper, MarketUserWechat>
        implements MarketUserWechatService {

    @Override
    public boolean bindUser(String userId, String openId) {
        try {
            //验证是否存在 用户 或者 微信unionId
            LambdaQueryWrapper<MarketUserWechat> queryWrapper = new LambdaQueryWrapper<>();
            queryWrapper.eq(MarketUserWechat::getUserId, userId);
            MarketUserWechat one = this.getOne(queryWrapper);
            if (!Objects.isNull(one)) {
                return true;
            }
            MarketUserWechat userWechat = new MarketUserWechat();
            userWechat.setUserId(userId);
            userWechat.setOpenId(openId);
            return this.save(userWechat);
        }catch(Exception err){
            throw new RuntimeException("绑定用户失败");
        }
    }
}
