package com.ruoyi.market.service.impl;

import com.ruoyi.market.service.WechatPayService;
import com.wechat.pay.java.core.Config;
import com.wechat.pay.java.core.RSAAutoCertificateConfig;
import com.wechat.pay.java.service.transferbatch.TransferBatchService;
import com.wechat.pay.java.service.transferbatch.model.InitiateBatchTransferRequest;
import com.wechat.pay.java.service.transferbatch.model.InitiateBatchTransferResponse;
import com.wechat.pay.java.service.transferbatch.model.TransferDetailInput;
import org.springframework.stereotype.Service;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.Random;

@Service
public class WechatPayServiceImpl implements WechatPayService {
    /** 商户配置 */
    /** 商户号 */
    String merchantId = "1681620446";
    /** 商户API私钥路径 */
    String privateKeyPath = "/usr/local/java/market/privatekey/apiclient_key.pem";
    /** 商户证书序列号 */
    String merchantSerialNumber = "139A67B5768BB539D274F2A18C8AC30E0E9F45B0";
    /** 商户APIV3密钥 */
    String apiV3Key = "GJgpxBXMBVl7qM8m5mrz7QORlBhtQZBb";

    public static TransferBatchService service;

    Config config = new RSAAutoCertificateConfig.Builder()
            .merchantId(merchantId)
            .privateKeyFromPath(privateKeyPath)
            .merchantSerialNumber(merchantSerialNumber)
            .apiV3Key(apiV3Key)
            .build();

    public InitiateBatchTransferResponse transfer(String openId, Long amount) {
        service = new TransferBatchService.Builder().config(config).build();
        InitiateBatchTransferRequest initiateBatchTransferRequest =
                new InitiateBatchTransferRequest();
        initiateBatchTransferRequest.setAppid("wx4014825e79c10552");
        initiateBatchTransferRequest.setOutBatchNo(generateOutBatchNo());//暂无
        initiateBatchTransferRequest.setBatchName("掌柜鼎营销活动奖励");
        initiateBatchTransferRequest.setBatchRemark("掌柜鼎营销活动奖励");
        initiateBatchTransferRequest.setTotalAmount(amount);
        initiateBatchTransferRequest.setTotalNum(1);
        {
            List<TransferDetailInput> transferDetailListList = new ArrayList<>();
            {
                TransferDetailInput transferDetailInput = new TransferDetailInput();
                transferDetailInput.setOutDetailNo("ORD"+ initiateBatchTransferRequest.getOutBatchNo());//暂无
                transferDetailInput.setTransferAmount(amount);
                transferDetailInput.setTransferRemark("掌柜鼎营销活动现金奖励");
                transferDetailInput.setOpenid(openId);

                transferDetailListList.add(transferDetailInput);
            }
            initiateBatchTransferRequest.setTransferDetailList(
                    transferDetailListList);
        }
        return service.initiateBatchTransfer(initiateBatchTransferRequest);
    }

    private static String generateOutBatchNo() {
        // 获取当前时间戳（毫秒）
        long timestamp = System.currentTimeMillis();
        // 生成4位随机数
        Random random = new Random();
        int randomPart = random.nextInt(10000);
        if (randomPart < 1000) {
            randomPart += 1000;
        }
        return String.valueOf(timestamp) + randomPart;
    }

}
