package com.ruoyi.web.controller.api;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.PageDomain;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.market.domain.MarketAdvertisingLibrary;
import com.ruoyi.market.domain.vo.AdvertisingVo;
import com.ruoyi.market.domain.vo.AdvertisingWatchCount;
import com.ruoyi.market.service.MarketAdvertisingLibraryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Api(tags = "前端广告api管理")
@RestController
@RequestMapping("/advertising")
public class AdvertisingApiController {
    @Autowired
    RedisCache redisCache;
    @Resource
    private MarketAdvertisingLibraryService marketAdvertisingLibraryService;

    @PostMapping("/getAd")
    @ApiOperation("播放广告")
    public MarketAdvertisingLibrary getCompanyAdvertising(@RequestBody AdvertisingVo advertisingVo) {
        return marketAdvertisingLibraryService.getCompanyAdvertising(advertisingVo);
    }

    @PostMapping("/getUserWatchCount")
    @ApiOperation("查询用户当天观看次数")
    public AjaxResult getAdvertisingWatchCount(@RequestBody AdvertisingWatchCount advertisingWatchCount) {
        return marketAdvertisingLibraryService.getAdvertisingWatchCount(advertisingWatchCount);
    }

    @PostMapping("/getAllUserWatchCount")
    @ApiOperation("查询全部用户当天观看次数")
    public AjaxResult getAllUserWatchCount(@RequestBody PageDomain pageDomain) {
        Page page = pageDomain.getPage();
        return AjaxResult.success(marketAdvertisingLibraryService.getAllUserAdvertisingWatchCount(page));
    }
}
