package com.ruoyi.web.controller.api;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.market.domain.MarketAwardLog;
import com.ruoyi.market.domain.MarketUserWechat;
import com.ruoyi.market.domain.vo.MarketAwardLogVo;
import com.ruoyi.market.domain.vo.UserQueryVo;
import com.ruoyi.market.service.MarketAwardLogService;
import com.ruoyi.market.service.MarketUserWechatService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Api(tags = "用户管理")
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private MarketUserWechatService marketUserWechatService;

    @Resource
    private MarketAwardLogService marketSystemService;

    @Autowired
    private MarketAwardLogService marketAwardLogService;


    @PostMapping("bindUser")
    public AjaxResult bindUser(@RequestBody UserQueryVo userQueryVo){
        return marketUserWechatService.bindUser(userQueryVo.getUserId(), userQueryVo.getOpenId())
        ?AjaxResult.success("绑定用户成功") : AjaxResult.error("绑定用户失败");
    }

    @PostMapping("updateUserInfo")
    public AjaxResult updateUserInfo(@RequestBody MarketUserWechat marketUserWechat){
        MarketUserWechat marketUser = marketUserWechatService.getById(marketUserWechat.getUserId());
        marketUser.setNickName(marketUserWechat.getNickName());
        marketUser.setAvatarUrl(marketUserWechat.getAvatarUrl());
        return marketUserWechatService.updateById(marketUser)
                ? AjaxResult.success("修改用户信息成功") : AjaxResult.error("修改用户信息失败");
    }

    @PostMapping("getUserInfo")
    public AjaxResult getUserInfo(@RequestBody UserQueryVo userQueryVo){
        MarketUserWechat marketUserWechat = marketUserWechatService.getById(userQueryVo.getUserId());
        return marketUserWechat == null ? AjaxResult.error("用户信息不存在") : AjaxResult.success(marketUserWechat);
    }

    @ApiOperation("用户抽奖记录")
    @PostMapping("userAward")
    public AjaxResult userAward(@RequestBody MarketAwardLogVo marketAwardLogVo){
        Page<MarketAwardLog> marketAwardLogPage = marketAwardLogService.marketAwardLogList(marketAwardLogVo.getPage(), marketAwardLogVo);
        return AjaxResult.success(marketAwardLogPage);
    }


}
