package com.ruoyi.web.controller.market;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.annotation.RequestSingleParam;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.market.domain.vo.DrawActivityQueryVo;
import com.ruoyi.market.domain.vo.DrawActivitySaveVo;
import com.ruoyi.market.service.MarketAwardLibraryService;
import com.ruoyi.market.service.MarketDrawActivityService;
import com.ruoyi.market.service.MarketDrawTemplateService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "抽奖活动管理")
@RestController
@RequestMapping("/market/drawActivity")
public class DrawActivityController {

    @Autowired
    private MarketDrawTemplateService marketDrawTemplateService;

    @Autowired
    private MarketAwardLibraryService marketAwardLibraryService;

    @Autowired
    private MarketDrawActivityService  marketDrawActivityService;


    @ApiOperation("获取活动抽奖列表")
    @PostMapping("getDrawActivityList")
    public AjaxResult getDrawActivityPage(@RequestBody DrawActivityQueryVo drawActivityQueryVo) {
        Page page = drawActivityQueryVo.getPage();
        return AjaxResult.success(marketDrawActivityService.getDrawActivityPage(page,drawActivityQueryVo));
    }

    @ApiOperation("添加活动抽奖")
    @PostMapping("addDrawActivity")
    public AjaxResult addDrawActivity(@RequestBody DrawActivitySaveVo drawActivitySaveVo) {
        return AjaxResult.success(marketDrawActivityService.addDrawActivity(drawActivitySaveVo));
    }

    @ApiOperation("获取活动抽奖详情")
    @PostMapping("getDrawActivityById")
    public AjaxResult getDrawActivityById(@RequestSingleParam("id") String id) {
        return AjaxResult.success(marketDrawActivityService.getDrawActivityById(id));
    }

    @ApiOperation("更新活动抽奖")
    @PostMapping("updateDrawActivity")
    public AjaxResult updateDrawActivity(@RequestBody DrawActivitySaveVo drawActivitySaveVo) {
        return marketDrawActivityService.updateDrawActivity(drawActivitySaveVo) ?
                AjaxResult.success("更新活动成功") :
                AjaxResult.error("更新活动失败");
    }

    @ApiOperation("删除活动抽奖")
    @PostMapping("delDrawActivity")
    public AjaxResult delDrawActivity(@RequestSingleParam("id") String id){
        return marketDrawActivityService.delDrawActivity(id) ?
                AjaxResult.success("删除活动成功") :
                AjaxResult.error("删除活动失败");
    }

}
