package com.ruoyi.web.controller.market;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.market.domain.MarketAdvertisingCompany;
import com.ruoyi.market.domain.vo.AdvertisingCompanyQueryVo;
import com.ruoyi.market.service.MarketAdvertisingCompanyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags = "广告公司管理")
@RestController
@RequestMapping("/market/advertisingCompany")
public class MarketAdvertisingCompanyController extends BaseController {
    @Resource
    private MarketAdvertisingCompanyService marketAdvertisingCompanyService;

    @ApiOperation("添加广告公司")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody MarketAdvertisingCompany marketAdvertisingCompany) {

        return marketAdvertisingCompanyService.insertAdvertisingCompany(marketAdvertisingCompany) ?
                success("成功") : error("失败");
    }

    @ApiOperation("修改广告公司")
    @PostMapping("/update")
    public AjaxResult update(@Validated @RequestBody MarketAdvertisingCompany marketAdvertisingCompany) {

        return marketAdvertisingCompanyService.updateAdvertisingCompany(marketAdvertisingCompany) ?
                success("成功") : error("失败");
    }

    @ApiOperation("删除广告公司")
    @PostMapping("/delete")
    public AjaxResult delete(@Validated @RequestBody MarketAdvertisingCompany marketAdvertisingCompany) {
        return marketAdvertisingCompanyService.deleteAdvertisingCompany(marketAdvertisingCompany) ?
                success("成功") : error("失败");
    }

    @ApiOperation("获取广告公司列表")
    @PostMapping("/list")
    public AjaxResult list(@Validated @RequestBody AdvertisingCompanyQueryVo advertisingCompanyQueryVo)
    {
        Page page = advertisingCompanyQueryVo.getPage();
        return AjaxResult.success(marketAdvertisingCompanyService.advertisingCompanyList(page, advertisingCompanyQueryVo));
    }
}
