package com.ruoyi.web.controller.market;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.idgen.IdGenerate;
import com.ruoyi.market.domain.MarketAdvertisingConfig;
import com.ruoyi.market.service.MarketAdvertisingConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags = "广告配置管理")
@RestController
@RequestMapping("/market/advertisingConfig")
public class MarketAdvertisingConfigController extends BaseController {
    @Resource
    private MarketAdvertisingConfigService marketAdvertisingConfigService;

    @PostMapping("/add")
    @ApiOperation("添加广告配置")
    public AjaxResult add(@Validated @RequestBody MarketAdvertisingConfig marketAdvertisingConfig) {
        marketAdvertisingConfig.setId(IdGenerate.nextId());
        return marketAdvertisingConfigService.save(marketAdvertisingConfig) ? success("成功") : error("失败");
    }

    @PostMapping("/update")
    @ApiOperation("修改广告配置")
    public AjaxResult update(@Validated @RequestBody MarketAdvertisingConfig marketAdvertisingConfig) {

        return marketAdvertisingConfigService.updateById(marketAdvertisingConfig) ? success("成功") : error("失败");
    }

    @PostMapping("/list")
    @ApiOperation("获取广告配置列表")
     public AjaxResult list() {
        return success(marketAdvertisingConfigService.list());
    }
}
