package com.ruoyi.web.controller.market;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.market.domain.MarketAdvertisingLibrary;
import com.ruoyi.market.domain.vo.AdvertisingLibraryQueryVo;
import com.ruoyi.market.service.MarketAdvertisingLibraryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Api(tags = "广告管理")
@RestController
@RequestMapping("/market/advertisingLibrary")
public class MarketAdvertisingLibraryController extends BaseController {

    @Resource
    private MarketAdvertisingLibraryService marketAdvertisingLibraryService;

    @ApiOperation("添加广告")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody MarketAdvertisingLibrary marketAdvertisingLibrary) {

        return marketAdvertisingLibraryService.insertAdvertisingLibrary(marketAdvertisingLibrary) ?
                success("成功") : error("失败");
    }

    @ApiOperation("修改广告")
    @PostMapping("/update")
    public AjaxResult update(@Validated @RequestBody MarketAdvertisingLibrary marketAdvertisingLibrary) {

        return marketAdvertisingLibraryService.updateAdvertisingLibrary(marketAdvertisingLibrary) ?
                success("成功") : error("失败");
    }

    @ApiOperation("删除广告")
    @PostMapping("/delete")
    public AjaxResult delete(@Validated @RequestBody MarketAdvertisingLibrary marketAdvertisingLibrary) {
        return marketAdvertisingLibraryService.deleteAdvertisingLibrary(marketAdvertisingLibrary) ?
                success("成功") : error("失败");
    }

    @ApiOperation("获取广告列表")
    @PostMapping("/list")
    public AjaxResult list(@Validated @RequestBody AdvertisingLibraryQueryVo advertisingLibraryQueryVo)
    {
        Page page = advertisingLibraryQueryVo.getPage();
        return AjaxResult.success(marketAdvertisingLibraryService.advertisingLibraryList(page, advertisingLibraryQueryVo));
    }
}
